# btdownloadheadless(1) completion by Guillaume Rousse <rousse@ccr.jussieu.fr>

have btdownloadheadless.py || have btdownloadcurses.py || \
have btdownloadgui.py &&
_btdownload()
{
    local cur prev

    COMPREPLY=()
    cur=`_get_cword`
    prev=${COMP_WORDS[COMP_CWORD-1]}

    case "$prev" in
        --@(responsefile|saveas))
            _filedir
            return 0
            ;;
    esac

     if [[ "$cur" == -* ]]; then
        COMPREPLY=( $( compgen -W '--max_uploads --keepalive_interval \
            --download_slice_size --request_backlog --max_message_length \
            --ip --minport --maxport --responsefile --url --saveas --timeout \
            --timeout_check_interval --max_slice_length --max_rate_period \
            --bind --upload_rate_fudge --display_interval --rerequest_interval \
            --min_peers --http_timeout --max_initiate --max_allow_in \
            --check_hashes --max_upload_rate --snub_time --spew \
            --rarest_first_cutoff --min_uploads --report_hash_failures' \
            -- "$cur" ) )
    else
        _filedir
    fi
} &&
complete -F _btdownload btdownloadheadless.py btdownloadcurses.py btdownloadgui.py

# Local variables:
# mode: shell-script
# sh-basic-offset: 4
# sh-indent-comment: t
# indent-tabs-mode: nil
# End:
# ex: ts=4 sw=4 et filetype=sh
